/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Dokumentation s. Blog
 * Headerfile
 * LCD Display Asugabe
 ***************************************************************************/
#ifndef LCDHEADER
#define LCDHEADER

// Defines -----------------------------------------------------------------
// Display
#define BLANK  (char)32 // ASCII Leerzeichen
#define EMPTY  (char)48 // ASCII 0
#define ENDE   (char)0  // Stringende
#define PUNKT  (char)46 // ASCII .
#define DPUNKT (char)58 // ASCII :
#define ZWEI   (char)50 // ASCII 2

// Fehlermeldungen
#define ERR_OK     (char)0
#define ERR_NODHCP (char)1
#define ERR_ETH    (char)3
#define ERR_MQTT   (char)4

// Funktionen
void LCD_Startup(void);
void LCD_ShowValues(void);
void LCD_ShowFehler(char fno);

#endif
